Bug 445160 - Magnatune Rhythmbox plugin should play Magnatune's Ogg Vorbis tracks
Magnatune Rhythmbox plugin should play Magnatune's Ogg Vorbis tracks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 20:27 EDT by J.B. Nicholson-Owens
Modified: 2008-06-01 06:45 EDT (History)
0 users

See Also:
Fixed In Version: 0.11.5-12.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 22:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 397097 None None None Never

  None (edit)
Description J.B. Nicholson-Owens 2008-05-04 20:27:26 EDT
Description of problem:
The Magnatune Rhythmbox plugin that came with the Fedora 9 GNU/Linux preview
live CD will cause Rhythmbox to prompt the user to get an MP3 codec.  Now that
Magnatune is supplying Ogg Vorbis copies of its catalog, and now that the
Magnatune Rhythmbox plugin will default to playing these Ogg Vorbis files,
Fedora GNU/Linux should update its copy of this plugin so the user can play
Magnatune's catalog without installing anything.

Version-Release number of selected component (if applicable):
Rhythmbox version 0.11.5
Rhythmbox Magnatune plugin version unknown

How reproducible:
Every time.

Steps to Reproduce:
1. Obtain and run Fedora 9 preview live CD's Rhythmbox.
2. Select Magnatune on the left side of the Rhythmbox window.
3. Double-click a Magnatune song (any song).

Actual results:
Get prompted to install an MP3 player codec.

Expected results:
Hear the selected track.

Additional info:
http://bugzilla.gnome.org/show_bug.cgi?id=397097 indicates this problem has been
fixed upstream; the new version of the plugin will use the pointers to the Ogg
Vorbis tracks instead of the pointers to the MP3 tracks.  Perhaps Fedora should
package the latest version of this plugin and distribute at least this new
version so that Fedora's users can enjoy Magnatune tracks in a free format (and,
as an added convenience, without installing anything new).

It would be great if this package could be included with Fedora 9 GNU/Linux.
Comment 1 Fedora Update System 2008-05-07 09:06:21 EDT
rhythmbox-0.11.5-12.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-05-13 11:28:01 EDT
rhythmbox-0.11.5-12.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rhythmbox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3709
Comment 3 Bug Zapper 2008-05-14 06:38:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2008-05-28 22:39:04 EDT
rhythmbox-0.11.5-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Mik Mitchell 2008-06-01 05:43:19 EDT
rhythmbox at least in x86-64bit stops responding after update.  This error was
reproduced after full reinstall of OS, as well as reinstall of rhythmbox from
yum.  please remove update from x86-64bit versions, if possible.
Comment 6 Bastien Nocera 2008-06-01 06:45:18 EDT
(In reply to comment #5)
> rhythmbox at least in x86-64bit stops responding after update.  This error was
> reproduced after full reinstall of OS, as well as reinstall of rhythmbox from
> yum.  please remove update from x86-64bit versions, if possible.

You'll have to come up with better debug info than that if you want to tell me
the 2 liner patch in a python plugin caused that problem.

Note You need to log in before you can comment on or make changes to this bug.